#!/bin/bash

LCG_LOCATION=${LCG_LOCATION:=/opt/lcg}
#the only argument it requires is $1 =${LCG_LOCATION}/etc/tankspark/lcgtankspark.conf

#create the symbolic link in the right position of script for the daemons
/bin/ln -s ${LCG_LOCATION}/sbin/tank /etc/init.d/tank

#set these services on at the next boot time
/sbin/chkconfig mysql on
/sbin/chkconfig --add tank

#add to edguser privilegies to run 
export sudoe=`grep -c 'edguser ALL = NOPASSWD: /bin/chown' /etc/sudoers`
if [ "$sudoe" == "0" ]; then  
    echo "edguser ALL = NOPASSWD: /bin/chown" >> /etc/sudoers
fi
#write the tank configuration file in the right location
${LCG_LOCATION}/etc/tankspark/fill_Tankconf.sh $1

#prepare the /etc/lcg/etc/command.sql script to be launched later on
${LCG_LOCATION}/etc/tankspark/createSQL.sh $1

crontab -l >tmp.$$
grep -v ${LCG_LOCATION}/sbin/tank tmp.$$ > tmp1.$$
 
    echo "19 2,8,14,20 * * * ${LCG_LOCATION}/sbin/tank proxy > /dev/null 2>&1" >>tmp1.$$
    echo "0-59/1 * * * * ${LCG_LOCATION}/sbin/tank watch_dog > /dev/null 2>&1" >>tmp1.$$
    crontab tmp1.$$   
rm tmp.$$ tmp1.$$

#starts the servers
${LCG_LOCATION}/sbin/tank start



